package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyOrderLogisticsTraceCallbackRequest struct {
	/*
	   配送轨迹回传请求     */
	LogisticsTraceCallbackRequest *domain.AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest `json:"logistics_trace_callback_request" required:"true" `
}

func (s *AlibabaAelophyOrderLogisticsTraceCallbackRequest) SetLogisticsTraceCallbackRequest(v domain.AlibabaAelophyOrderLogisticsTraceCallbackLogisticsTraceCallbackRequest) *AlibabaAelophyOrderLogisticsTraceCallbackRequest {
	s.LogisticsTraceCallbackRequest = &v
	return s
}

func (req *AlibabaAelophyOrderLogisticsTraceCallbackRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.LogisticsTraceCallbackRequest != nil {
		paramMap["logistics_trace_callback_request"] = util.ConvertStruct(*req.LogisticsTraceCallbackRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyOrderLogisticsTraceCallbackRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
